import { Injectable } from '@angular/core';
import { BehaviorSubject } from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class NotificationsService {

  private msg: BehaviorSubject<string>;

  constructor() { 
    this.msg = new BehaviorSubject<string>(null);
  }

  getMsg() {
    return this.msg;
  }

  notify(msg: any) {
    if (msg === null || msg === undefined) {
      this.msg.next("");
      return
    }
    if (msg.hasOwnProperty('error')) {
      this.notify(msg.error);
      return;
    }
    if (msg.hasOwnProperty('message')) {
      this.notify(msg.message);
      return;
    }
    if (msg.hasOwnProperty('msg')) {
      this.notify(msg.msg);
      return;
    }
    this.msg.next(msg);
    console.log(msg);
  }


}
